//Algorithm for calculating time
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 27/01/2022
/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/

#include <iostream>
#include <math.h>
using namespace std;
//Exercise 12
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/
 
int main() {
	
	Run();
	return 0;
	}
	
/******************************************************************************************************************************************* 
*  												GLOBAL VARIABLE
*******************************************************************************************************************************************/
	float kilometer;   
	float timeElapsed;
	float averageSpeed;
/********************************************************************FUNCTION DEFINITION**********************************************************************************************************/
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//======================================================================================================================================================================================
void CollectData(){
	cout<<"========== Insert Data ==========\r\n";
	cout <<"Escriba la velocidad promedio en km/s: "; 
	cin>>averageSpeed ;                                 
	cout<<"\r\nEscriba la distancia total en Km: ";
	cin>> kilometer;                                    
}
//===================================================================================================================================================================================
void Calculate() {
	timeElapsed = (kilometer)/(averageSpeed*60);    
}
//=========================================================================================================================================================================================================================	
void ShowResults(){
	
	cout<<"\r\n========== Show results ==========\r\n";
	cout<<"Su tiempo transcurrido en minutos es : "<<timeElapsed;   
}


	
	

